/**
 * 保存图片文件
 * */

#ifndef SAVEIMAGEENGINE_H
#define SAVEIMAGEENGINE_H

#include "AppCommon.h"
#include "EngineBase.h"
#include "EngineFactory.h"
#include "json/json.h"

class SaveMoveImageEngine : public ai_matrix::EngineBase
{
public:
    SaveMoveImageEngine();
    ~SaveMoveImageEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    ai_matrix::BaseConfig baseConfig_;

    std::string strPort0_;
    int iPicQuality_ = 80;
    std::vector<int> vecCompressionParams_;
};

ENGINE_REGIST(SaveMoveImageEngine)

#endif
